FENTY Updates

* indicates required